Machine Roles

Get all machine roles that have been defined in this Octopus installation

GET /api/{spaceId}/machineroles/all

Also reachable at /api/machineroles/all, /api/spaces/{spaceIdentifier}/machineroles/all.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested list of Machine Roles

Example Response

JSON
[
  "string"
]

Get all machine roles that have been defined in this Octopus installation

GET /api/{spaceId}/machineroles/all/v1

Also reachable at /api/machineroles/all/v1, /api/spaces/{spaceIdentifier}/machineroles/all/v1.

Path Parameters

  • spaceId string (required)
    The ID of the space containing the resource(s).

Response

200 — The requested list of Machine Roles

  • MachineRoles array of string

Example Response

JSON
{
  "MachineRoles": [
    "string"
  ]
}